Evals
List evaluations
Returns a page of evaluations configured in the current project.
Use after and limit to page through the results, and use order_by
and order to control how the results are sorted.
Parámetros de consulta
after
string
The identifier of the last item from the previous page. Use this value to retrieve the next page.
limit
integer
The maximum number of items to return. The default is 20.
order
enum
The order in which to return items by timestamp. Use asc for ascending order or desc for descending order. The default is asc.
order_by
enum
The evaluation timestamp field used for ordering results. Use created_at
to order by creation time or updated_at to order by last modification
time. The default is created_at.
Respuestas
The request has succeeded.
Cuerpo
data
Eval[]
requerido
The requested list of items.
first_id
string
The first ID represented in this list.
last_id
string
The last ID represented in this list.
has_more
boolean
requerido
A value indicating whether there are additional values available not captured in this list.
Solicitar
curl https://api.openai.com/v1/evals?limit=1 \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json"
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
page = client.evals.list()
page = page.data[0]
print(page.id)
import OpenAI from "openai";
const openai = new OpenAI();
const evals = await openai.evals.list({ limit: 1 });
console.log(evals);
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const evalListResponse of client.evals.list()) {
console.log(evalListResponse.id);
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.evals.EvalListPage;
import com.openai.models.evals.EvalListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
EvalListPage page = client.evals().list();
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
page = openai.evals.list
puts(page)
Respuesta
{
"object": "list",
"data": [
{
"id": "eval_67abd54d9b0081909a86353f6fb9317a",
"object": "eval",
"data_source_config": {
"type": "stored_completions",
"metadata": {
"usecase": "push_notifications_summarizer"
},
"schema": {
"type": "object",
"properties": {
"item": {
"type": "object"
},
"sample": {
"type": "object"
}
},
"required": [
"item",
"sample"
]
}
},
"testing_criteria": [
{
"name": "Push Notification Summary Grader",
"id": "Push Notification Summary Grader-9b876f24-4762-4be9-aff4-db7a9b31c673",
"type": "label_model",
"model": "o3-mini",
"input": [
{
"type": "message",
"role": "developer",
"content": {
"type": "input_text",
"text": "
Label the following push notification summary as either correct or incorrect.
The push notification and the summary will be provided below.
A good push notificiation summary is concise and snappy.
If it is good, then label it as correct, if not, then incorrect.
"
}
},
{
"type": "message",
"role": "user",
"content": {
"type": "input_text",
"text": "
Push notifications: {{item.input}}
Summary: {{sample.output_text}}
"
}
}
],
"passing_labels": [
"correct"
],
"labels": [
"correct",
"incorrect"
],
"sampling_params": null
}
],
"name": "Push Notification Summary Grader",
"created_at": 1739314509,
"metadata": {
"description": "A stored completions eval for push notification summaries"
}
}
],
"first_id": "eval_67abd54d9b0081909a86353f6fb9317a",
"last_id": "eval_67aa884cf6688190b58f657d4441c8b7",
"has_more": true
}